:host {
  display: flex;
  justify-content: center;
}

mat-stepper {
  max-width: 1500px;
}


form {
  padding: 30px 0;
  /* display: grid; */
}



h2 {
  margin: 0 0 0 0;
}

.blackLine {
  margin-bottom: 30px;
  width: 150px;
}

/* general */
.generalForm {
  display: flex;
  flex-wrap: wrap;
  gap: 50px;
}

.generalFormList {
  display: flex;
  flex-direction: column;
  gap: 5px;
  /* flex: 1 1 300px; */
  flex-grow: 1;
}



.institutionImage {
  grid-area: institutionImage;
  align-self: start;
  width: 400px;
  height: 300px;
}

.institute {
  grid-column-start: span 3;
  margin-top: 40px;
  width: 100%;
}

.instituteInner {
  display: flex;
  flex-wrap: wrap;
  column-gap: 20px;
}
.instituteInner button {
  margin-top: 10px;
}

/* representatives */
.repContainer {
  display: grid;
  grid-gap: 10px;
  justify-items: center;
  /* margin: 50px 0; */
  margin-top: 20px;
  position: relative;
}

.representatives {
  width: 100%;
  max-width: 1200px;
  margin-top: 20px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 40px;
  row-gap: 50px;
  overflow: visible;
}

.representative {
  flex-grow: 1;
  position: relative;
  display: flex;
  flex-direction: column;
  min-width: 300px;
  border: 1.5px solid rgba(0,0,0,0.1);
  padding: 20px 15px;
  border-radius: 5px;
  box-shadow: -5px 5px 10px rgba(0, 0, 0, 0.1);
  /* background-color: rgba(0, 0, 0, 0.03); */
  overflow: visible;
}

::ng-deep .mat-horizontal-content-container {
  overflow: visible!important;
}

.addRep {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 300px;
  border: 3px dotted black;
  height: 500px;
  cursor: pointer;
  border-radius: 5px;
}

.addRep:hover {
  background-color: rgba(0, 0, 0, 0.05);
}

.delRep {
  position: absolute;
  top: -25px;
  right: -15px;
}

.representative>mat-form-field {
  display: block;
  width: 100%;
  /* height: 100px; */
}

.repImage {
  height: 200px;
  width: 200px;
}

.repError {
  color: red;
  /* font-size: 12px; */
  overflow: visible;
  margin: 0;
  /* position: absolute; */
  padding: 7px 10px;
  margin-bottom: 15px;
  border-radius: 5px;

  background-color: rgba(255, 0, 0, 0.07);
}



/* research overview */
.gridContainer {
  display: grid;
  grid-template-columns: 1fr auto;
  grid-gap: 15px;
}

.overviewTopSplit {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.overviewTopSplit mat-form-field {
  min-width: 300px;
  flex-grow: 1;
}

.innerGrid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 15px;
}

.gridContainer>button {
  margin-left: 10px;
}


/* research Focus */
.lineContainer {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 30px 0 50px 0;

}
.line {
  height: 0px;
  width: 70%;
  border-top: 2px dashed black;
}

.newFocus {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  align-items: center;
  margin-bottom: 20px;
}

.newFocus button {
  margin: 0 auto;
}

/* misc */
.selectAndFilter {
  display: flex;
  justify-items: center;
  /* grid-template-columns: 3fr 0.1fr 1fr; */
  grid-gap: 10px;
}

.navigation {
  display: flex;
  justify-content: center;
  gap: 50 px;
  margin-top: 50px;
}


.publicationFileDropper {
  width: 400px;
  height: 300px;
  align-self: center;
}

.navigation {
  justify-items: center;
  justify-content: center;
  align-items: center;
  text-align: center;
  display: grid;
  grid-template-columns: auto auto auto;
}

.invalid-input {
  border: 1px solid red;
}
